Std ViewRotateLeft

From FreeCAD Documentation

Std ViewRotateLeft

Menu location
View → Standard views → Rotate Left
Workbenches
All
Default shortcut
Shift+Left
Introduced in version
-
See also
Std ViewRotateRight

Description

The Std ViewRotateLeft command rotates the camera in the active 3D view around the view direction in 90-degree increments towards the left (counterclockwise).

Usage

  1. There are several ways to invoke the command:
    • Select the View → Standard views → Rotate Left option from the menu.
    • Select the Standard views → Rotate Left option from the 3D view context menu.
    • Use the keyboard shortcut: Shift+Left.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

Use the viewRotateLeft method of the View object to rotate the view to the left. The viewRotateRight method is also available.

import FreeCADGui

view = FreeCADGui.ActiveDocument.ActiveView
view.viewRotateLeft()